# Mẫu hệ điều hành

`GET /v1/service/@id/templates` · quyền `services:read`

Các mẫu hệ điều hành dùng tạo máy ảo.

## HTTP request

| Mục | Giá trị |
| --- | --- |
| URL | `https://api.tino.vn/v1/service/@id/templates` |
| Method | `GET` |
| Quyền (scope) | `services:read` |
| Header | `Authorization: Bearer <token>` |
| Content-Type | — (không có body) |
| Token gọi được | token ứng dụng (`tinoat_`), token API cá nhân (`tinopat_`) |

## Tham số

| Tên | Vị trí | Kiểu | Bắt buộc | Mô tả |
| --- | --- | --- | --- | --- |
| `id` | đường dẫn | string | có | ID dịch vụ |

## Example request

```bash
curl "https://api.tino.vn/v1/service/100001/templates" \
  -H "Authorization: Bearer $TINO_TOKEN"
```

`$TINO_TOKEN` là token có quyền `services:read`. Tham số đường dẫn trong ví dụ là giá trị mẫu.

SDK ([SDK & Ví dụ](/docs/sdk)): Python `client.services.list_os_templates(id)`, Node.js `await client.services.listOsTemplates(id);`, PHP `$client->services->listOsTemplates($id);`.

## Example response

```json
{
 "templates": [
  {
   "id": "a37411b5-4136-29f6-9dc0-d07f78a6ad5e",
   "name": "Ubuntu 26.04",
   "price": 0,
   "type": "template",
   "group": "public",
   "size_gb": 4,
   "interfaces": [
    {
     "name": "net0",
     "zones": null,
     "zone": "vmbr0",
     "ip_required": true
    }
   ]
  },
  {
   "id": "8c93b9af-1bd8-5a73-8190-f7e272bd4157",
   "name": "Almalinux 10",
   "price": 0,
   "type": "template",
   "group": "public",
   "size_gb": 10,
   "interfaces": [
    {
     "name": "net0",
     "zones": null,
     "zone": "vmbr0",
     "ip_required": true
    }
   ]
  },
  "… 12 more item(s)"
 ]
}
```

Mẫu thật từ tài khoản thử, đã che dữ liệu cá nhân; mảng và chuỗi dài được rút gọn (`… N more item(s)`, `… N more line(s)`).
